Annotation Queue Update
curl --request PUT \
--url https://api.example.com/annotation_queues/{queue_id} \
--header 'Content-Type: application/json' \
--data '
{
"project_id": "entity/project",
"name": "Updated Queue Name",
"description": "Updated description",
"scorer_refs": [
"weave:///entity/project/scorer/error_severity:abc123",
"weave:///entity/project/scorer/resolution_quality:def456"
]
}
'import requests
url = "https://api.example.com/annotation_queues/{queue_id}"
payload = {
"project_id": "entity/project",
"name": "Updated Queue Name",
"description": "Updated description",
"scorer_refs": ["weave:///entity/project/scorer/error_severity:abc123", "weave:///entity/project/scorer/resolution_quality:def456"]
}
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
project_id: 'entity/project',
name: 'Updated Queue Name',
description: 'Updated description',
scorer_refs: [
'weave:///entity/project/scorer/error_severity:abc123',
'weave:///entity/project/scorer/resolution_quality:def456'
]
})
};
fetch('https://api.example.com/annotation_queues/{queue_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/annotation_queues/{queue_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'project_id' => 'entity/project',
'name' => 'Updated Queue Name',
'description' => 'Updated description',
'scorer_refs' => [
'weave:///entity/project/scorer/error_severity:abc123',
'weave:///entity/project/scorer/resolution_quality:def456'
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/annotation_queues/{queue_id}"
payload := strings.NewReader("{\n \"project_id\": \"entity/project\",\n \"name\": \"Updated Queue Name\",\n \"description\": \"Updated description\",\n \"scorer_refs\": [\n \"weave:///entity/project/scorer/error_severity:abc123\",\n \"weave:///entity/project/scorer/resolution_quality:def456\"\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.example.com/annotation_queues/{queue_id}")
.header("Content-Type", "application/json")
.body("{\n \"project_id\": \"entity/project\",\n \"name\": \"Updated Queue Name\",\n \"description\": \"Updated description\",\n \"scorer_refs\": [\n \"weave:///entity/project/scorer/error_severity:abc123\",\n \"weave:///entity/project/scorer/resolution_quality:def456\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/annotation_queues/{queue_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"project_id\": \"entity/project\",\n \"name\": \"Updated Queue Name\",\n \"description\": \"Updated description\",\n \"scorer_refs\": [\n \"weave:///entity/project/scorer/error_severity:abc123\",\n \"weave:///entity/project/scorer/resolution_quality:def456\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"queue": {
"id": "<string>",
"project_id": "<string>",
"name": "<string>",
"description": "<string>",
"scorer_refs": [
"<string>"
],
"created_at": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Mise à jour d’une file d’annotation
Update an annotation queue’s metadata (name, description, scorer_refs).
PUT
/
annotation_queues
/
{queue_id}
Annotation Queue Update
curl --request PUT \
--url https://api.example.com/annotation_queues/{queue_id} \
--header 'Content-Type: application/json' \
--data '
{
"project_id": "entity/project",
"name": "Updated Queue Name",
"description": "Updated description",
"scorer_refs": [
"weave:///entity/project/scorer/error_severity:abc123",
"weave:///entity/project/scorer/resolution_quality:def456"
]
}
'import requests
url = "https://api.example.com/annotation_queues/{queue_id}"
payload = {
"project_id": "entity/project",
"name": "Updated Queue Name",
"description": "Updated description",
"scorer_refs": ["weave:///entity/project/scorer/error_severity:abc123", "weave:///entity/project/scorer/resolution_quality:def456"]
}
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
project_id: 'entity/project',
name: 'Updated Queue Name',
description: 'Updated description',
scorer_refs: [
'weave:///entity/project/scorer/error_severity:abc123',
'weave:///entity/project/scorer/resolution_quality:def456'
]
})
};
fetch('https://api.example.com/annotation_queues/{queue_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/annotation_queues/{queue_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'project_id' => 'entity/project',
'name' => 'Updated Queue Name',
'description' => 'Updated description',
'scorer_refs' => [
'weave:///entity/project/scorer/error_severity:abc123',
'weave:///entity/project/scorer/resolution_quality:def456'
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/annotation_queues/{queue_id}"
payload := strings.NewReader("{\n \"project_id\": \"entity/project\",\n \"name\": \"Updated Queue Name\",\n \"description\": \"Updated description\",\n \"scorer_refs\": [\n \"weave:///entity/project/scorer/error_severity:abc123\",\n \"weave:///entity/project/scorer/resolution_quality:def456\"\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.example.com/annotation_queues/{queue_id}")
.header("Content-Type", "application/json")
.body("{\n \"project_id\": \"entity/project\",\n \"name\": \"Updated Queue Name\",\n \"description\": \"Updated description\",\n \"scorer_refs\": [\n \"weave:///entity/project/scorer/error_severity:abc123\",\n \"weave:///entity/project/scorer/resolution_quality:def456\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/annotation_queues/{queue_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"project_id\": \"entity/project\",\n \"name\": \"Updated Queue Name\",\n \"description\": \"Updated description\",\n \"scorer_refs\": [\n \"weave:///entity/project/scorer/error_severity:abc123\",\n \"weave:///entity/project/scorer/resolution_quality:def456\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"queue": {
"id": "<string>",
"project_id": "<string>",
"name": "<string>",
"description": "<string>",
"scorer_refs": [
"<string>"
],
"created_at": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Paramètres de chemin
Corps
application/json
Request body for updating an annotation queue (queue_id comes from path).
All fields except project_id are optional - only provided fields will be updated.
Réponse
Successful Response
Response from updating an annotation queue.
Schema for annotation queue responses.
Show child attributes
Show child attributes
Dernière modification le 30 septembre 2026
Cette page vous a-t-elle été utile ?